Status: Closed

Priority: High

Assignee:

Category: Processing/Core

Affected QGIS version:3.4.2 Regression?: Yes

Operating System: Mac Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 28608

Description

I have a vector layer that contains duplicates and when I run the delete duplicates algorithm it fails with the error

```

Processing algorithm…

Algorithm 'Delete duplicate geometries' starting…

Input parameters:{ 'INPUT' :

'/Users/admire/Downloads/QGIS-TRAINING/QGISTrainingWorkshop/appendix3-local-data/roads_unclean.shp', 'OUTPUT' : 'memory:' }

Traceback (most recent call last):

File "/Applications/QGIS3.app/Contents/MacOS/../Resources/python/plugins/processing/algs/qgis/DeleteDuplicateGeometries.py", line

99, in processAlgorithm

candidates.remove(feature_id)

ValueError: list.remove(x): x not in list

Execution failed after 0.86 seconds

Loading resulting layers

Algorithm 'Delete duplicate geometries' finished

```

Associated revisions

Revision 82c13bdd - 2018-12-15 01:44 AM - Nyall Dawson

[processing] Fix error when running delete duplicate geometries and

some input features have null geometries

Fixes #20788

Revision 06c5beed - 2018-12-16 12:45 AM - Nyall Dawson

[processing] Fix error when running delete duplicate geometries and

some input features have null geometries

Fixes #20788

(cherry picked from commit 82c13bdde0ef447280cc299b6c48bbd4c83a7306)
History

#1 - 2018-12-15 01:43 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|82c13bdde0ef447280cc299b6c48bbd4c83a7306.

#2 - 2018-12-17 02:22 PM - Giovanni Manghi

- Resolution set to fixed/implemented

Files

Screenshot 2018-12-12 at 14.17.43.png 90.3 KB 2018-12-12 Admire Nyakudya

Archive.zip 17.4 KB 2018-12-12 Admire Nyakudya

2025-05-18 2/2


